pbsdsh(1B)

NAME
pbsdsh - distribute task to nodes under pbs

SYNOPSIS
pbsdsh [-c copies] [-o] [-s] [-u] [-v] program [args]
pbsdsh [-n node] [-o] [-s] [-u] [-v] program [args]
pbsdsh [-h nodename] [-o] [-v] program [args]

DESCRIPTION
Executes (spawns) a normal Unix program on one or more nodes under control of the Portable Batch System, PBS. Pbsdsh uses the Task Manager API, see tm_spawn(3), to distribute the program on the allocated nodes.

When run without the -c or the -n option, pbsdsh will spawn the program on all nodes allocated to the PBS job. The spawns take place concurrently - all execute at (about) the same time.

Users will find the PBS_TASKNUM , PBS_NODENUM , and the PBS_VNODENUM environmental variables useful. They contain the TM task id, the node identifier, and the cpu (virtual node) identifier.

OPTIONS

-c copies
    The program is spawned on the first nodes allocated. This option is mutual exclusive with -n.

-n node
    The program is spawned on one node which is the node allocted. This option is mutual exclusive with -c.

-h hostname
    The program is spawned on the node specified.

-o  Capture stdout of the spawned program. Normally stdout goes to the job's output.

-s  If this option is given, the program is run in turn on each node, one after the other.

-u  The program is run once on each node (unique). This ignores the number of allocated processers on a given node.

-v  Verbose output about error conditions and task exit status is produced.

OPERANDS
The first operand, is the program to execute.

Additional operands, are passed as arguments to the program.

STANDARD ERROR
The pbsdsh command will write a diagnostic message to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the command, the exit status will be a value of zero.

If the pbsdsh command fails to process any operand, or fails to contact the MOM daemon on the localhost the command exits with a value greater than zero.

SEE ALSO
qsub(1B), tm_spawn(3B)